LowLevelWrapperHdm
Keywords: uk.ac.bbk.dcs.automed.hdmstore.LowLevelWrapperHdm,LowLevelWrapperHdm class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.hdmstore
Class LowLevelWrapperHdm

    java.lang.Object
      |
      +--uk.ac.bbk.dcs.automed.hdmstore.LowLevelWrapperHdm

public class LowLevelWrapperHdm
extends java.lang.Object

The LowLevelWrapperHdm passes queries to the `HdmStore` and returns the results in the HDM specifc format of a Linked List of `EdgeElements` each representing a tuple.

Author:
  Dean Williams (dean@dcs.bbk.ac.uk)

Constructor Summary
`LowLevelWrapperHdm(HdmStore pHDMstore)` The constructor is passed the `HdmStore` to be used

Method Summary
`java.util.LinkedList` | `query(java.lang.String schemaName, java.lang.String query)` The query is given in the form of an string and returned as a Linked List of `EdgeElement`'s

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LowLevelWrapperHdm

    public LowLevelWrapperHdm(HdmStore pHDMstore)

  The constructor is passed the `HdmStore` to be used

Method Detail

### query

    public java.util.LinkedList query(java.lang.String schemaName,
                                      java.lang.String query)
                               throws HdmStoreException,
                                      java.lang.Exception,
                                      java.sql.SQLException,
                                      java.io.IOException

  The query is given in the form of an string and returned as a Linked List of `EdgeElement`'s

    `HdmStoreException`
    `java.lang.Exception`
    `java.sql.SQLException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD